Skip to main content
`Ctrl`+`K`

# DMCompositeGetISLocalToGlobalMappings

gets an `ISLocalToGlobalMapping` for each `DM` in the `DMCOMPOSITE`, maps to the composite global space

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGetISLocalToGlobalMappings(DM dm, ISLocalToGlobalMapping *ltogs[])

Collective; No Fortran Support

## Input Parameter

- dm - the `DMCOMPOSITE` object

## Output Parameter

- ltogs - the individual mappings for each packed vector. Note that this includes all the ghost points that individual ghosted `DMDA` may have.

## Note

Each entry of `ltogs` should be destroyed with `ISLocalToGlobalMappingDestroy()`, `ltogs` should be freed with `PetscFree()`.

## See Also

`DMCOMPOSITE`, `DM`, `DMDestroy()`, `DMCompositeAddDM()`, `DMCreateGlobalVector()`, `DMCompositeGather()`, `DMCompositeCreate()`, `DMCompositeGetAccess()`, `DMCompositeScatter()`, `DMCompositeGetLocalVectors()`, `DMCompositeRestoreLocalVectors()`, `DMCompositeGetEntries()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

Index of all DMComposite routines
Table of Contents for all manual pages
Index of all manual pages